SSHARE(12)

NAME
sshare - Tool for listing the shares of associations to a cluster.

SYNOPSIS
sshare [OPTIONS...] [COMMAND...]

DESCRIPTION
sshare is used to view Slurm share information. The sshare information is derived from a database with the interface being provided by slurmdbd (Slurm Database daemon). sshare provides Slurm share information of Account, User, ID, FairShare, Normal Shares, Used, Normal Usage, Effective Used, Normal Effective Usage.

OPTIONS

-a, --all
    List all information.

-A, --accounts
    List accounts information.

-h, --help
    Print a help message describing the usage of sshare. This is equivalent to the usage command.

-n, --no_header
    No header will be added to the beginning of the output.

-p, --parsable
    Output will be '|' delimited with a '|' at the end.

-P, --parsable2
    Output will be '|' delimited without a '|' at the end.

-q, --quiet
    Print no messages other than error messages. This is equivalent to the quiet command.

-u, --uid --user
    This is equivalent to the user command.

-t, --time
    Set time format.

-v, --verbose
    Enable detailed logging. This is equivalent to the verbose command.

-V , --version
    Display version number. This is equivalent to the version command.

COMMANDS

--all
    Display associations.

--accounts <Account>
    Display accounts.

--help
    Display a description of sshare options and commands.

--no_header
    Display output without the header.

--parsable
    Display output will be '|' delimited with a '|' at the end.

--parsable2
    Display output will be '|' delimited without a '|' at the end.

--quiet
    Print no messages other than error messages.

--uid <User>
    Display user.

--usage
    Display a description of sshare options and commands.

--user <User>
    Display user.

--verbose
    Wordy and windy output.

--version
    Display the version number of sshare.

ACCOUNTS

Account
    The name of a bank account.

USER

User
    The name of a user.

EXAMPLES
> sshare -A <Account>
> sshare --parsable --user <User>

COPYING
Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). LLNL-CODE-402394.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm.conf(5) slurmdbd(8)